簡體   English   中英

離子3 - 與cocoapods的xcode錯誤

[英]Ionic 3 - xcode error with cocoapods

我嘗試使用推送通知構建離子3應用程序,我在iOS部署時遇到了一些問題。

我在xcode中有這3個錯誤:

diff: /Podfile.lock: No such file or directory
diff: /Manifest.lock: No such file or directory
error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.

我嘗試了很多在互聯網上找到的解決方案:

  • 使用命令“pod install”,“pod update”

  • 刪除並安裝CocoaPods

  • 更新CocoaPods

  • 刪除“Pods”文件夾,“Podfile.lock”和“Podfile”並運行“pod install”命令。

  • 從Link Binary From Librairies中刪除libPods-myApp.a。

但沒有什么是有效的......

我真的不知道自己要做什么。

我的Podfile:

# DO NOT MODIFY -- auto-generated by Apache Cordova
platform :ios, '8.0'
target 'MyProject' do
    project 'MyProject.xcodeproj'
    pod 'GoogleCloudMessaging', '~> 1.2.0'
    pod 'GGLInstanceID', '~> 1.2.1'
end

我的Podfile.lock:

PODS:
  - GGLInstanceID (1.2.1)
  - GoogleCloudMessaging (1.2.0):
    - GoogleInterchangeUtilities (~> 1.0)
    - GoogleIPhoneUtilities (~> 1.0)
    - GoogleSymbolUtilities (~> 1.0)
  - GoogleInterchangeUtilities (1.2.2):
    - GoogleSymbolUtilities (~> 1.1)
  - GoogleIPhoneUtilities (1.2.1):
    - GoogleSymbolUtilities (~> 1.0)
    - GoogleUtilities (~> 1.0)
  - GoogleSymbolUtilities (1.1.2)
  - GoogleUtilities (1.3.2):
    - GoogleSymbolUtilities (~> 1.1)

DEPENDENCIES:
  - GGLInstanceID (~> 1.2.1)
  - GoogleCloudMessaging (~> 1.2.0)

SPEC CHECKSUMS:
  GGLInstanceID: 4a317044f744281b82cd03015f379899f277cad3
  GoogleCloudMessaging: f37ea14dd0f41d4d889c10b5559dd35bbfd9ac26
  GoogleInterchangeUtilities: d5bc4d88d5b661ab72f9d70c58d02ca8c27ad1f7
  GoogleIPhoneUtilities: 63f25e93a3ddcb66884d182aab3a660d98f1479b
  GoogleSymbolUtilities: 631ee17048aa5e9ab133470d768ea997a5ef9b96
  GoogleUtilities: 8bbc733218aad26306f9d4a253823986110e3358

PODFILE CHECKSUM: 0ff66d442dc6f28bf0fbc7a6b12af811ecc9a43c

COCOAPODS: 1.2.1

UPDATE

我的[CP] Check Pods Manifest.lock:

diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

我真的需要幫助。 :(

UPDATE

我修改了我的[CP] Check Pods Manifest.lock到這個:

diff "${SRCROOT}/Podfile.lock" "${SRCROOT}/Pods/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

我的樹錯誤消失但我有這個新錯誤:

 Module 'FirebaseInstanceID' not found

在此輸入圖像描述

我不知道為什么。 我試圖運行pod install但沒有區別。

嘗試

pod repo update
pod install

請檢查xcode項目的路徑

項目'MyProject.xcodeproj'

您的podfile和“MyProject.xcodeproj”是否位於同一目錄中? 如果是這樣,您可以嘗試從podfile中刪除上面的ligne

打開終端並運行

pod deintegrate

這將刪除pod和項目的所有連接。

然后你就可以跑了

pod install

暫無
暫無

聲明:本站的技術帖子網頁,遵循CC BY-SA 4.0協議,如果您需要轉載,請注明本站網址或者原文地址。任何問題請咨詢:yoyou2525@163.com.

 
粵ICP備18138465號  © 2020-2024 STACKOOM.COM